Subject: RE: [Suggestion] Documentation: quick-install-man not propagating DESTDIR

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 2 Sep 2020 15:52:47 -0400

On September 2, 2020 3:45 PM, Junio C Hamano wrote:
> "Randall S. Becker" <[email-masked]> writes:
> 
> > The make quick-install-man rule is not propagating DESTDIR when GNU
> > Make
> > 4.2.1 is used.
> 
> I wonder, instead of having to change all "$(MAKE) -C elsewhere", we can
> add DESTDIR to the list of variables that are exported.
> 
> ... goes and looks ...
> 
> Hmph, DESTDIR is exported together with DIFF, TAR, INSTALL and
> SHELL_PATH.  We do rely on SHELL_PATH to be exported correctly to
> t/Makefile for "make test" to work, so it is puzzling.
> 
> It is doubly puzzling that we use $(INSTALL) in Documentation/Makefile on
> the same line as $(DESTDIR) is used, and apparently you are not reporting
> problem on that one.
> 
> > It seems like a bit of a nit to report this, but I discovered that the
> > installation is not putting the manuals in the same place as git. It’s
> > a pretty simple fix. I can put a patch together if desired.
> 
> I do not think we want that patch.  Instead I think we'd want a patch that
> uses the same trick as what makes INSTALL work.

I'll look into that approach. Thanks for the direction.

Regards,
Randall